Redeem a Share Token

Initiates redemption of a Share Token in one of two modes: - **Clone:** Omit `data.attributes.destination-id` to create a new object from the source. Inquiry and Verification Share Tokens can be cloned. - **Hydrate:** Provide `data.attributes.destination-id` to import source data into an existing object. Account, Transaction, and Inquiry Share Tokens can hydrate an existing Account, Transaction, or Inquiry. Redemption is asynchronous. A successful request returns the Share Token with a `pending` status while Persona processes the import.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

share-token-idstringRequired

The token/ID of the Share Token to be redeemed.

Headers

Key-InflectionenumOptional
Determines casing for the API response.
Allowed values:
Idempotency-KeystringOptional
Ensures the request is idempotent.
Persona-VersionenumOptional
Server API version. More info on versioning can be found [here](https://docs.withpersona.com/versioning).

Query parameters

includestringOptional
A comma-separated list of relationship paths. This can be used to customize which related resources will be fully serialized in the `included` key in the response. See [Serialization](https://docs.withpersona.com/serialization#inclusion-of-related-resources) for more details.
fieldsmap from strings to stringsOptional
Comma-separated list(s) of attributes to include in the response. This can be used to customize which attributes will be serialized in the response. See [Serialization](https://docs.withpersona.com/serialization#sparse-fieldsets) for more details.

Request

This endpoint expects an object.
dataobjectOptional
metaobjectOptional

Response headers

RateLimit-Limitinteger
The maximum number of requests permitted in the current rate limit window for the API key used to authenticate the request. Returned on every authenticated response.
RateLimit-Remaininginteger
The number of requests remaining in the current rate limit window for the API key used to authenticate the request. Returned on every authenticated response.
RateLimit-Resetinteger
The number of seconds until the current rate limit window resets. Returned on every authenticated response.
Request-IdstringOptional

The unique identifier of the API log entry that recorded this request. Starts with req_. Include this value when reaching out to Persona support. Present on every authenticated response, including error responses.

Persona-Environment-IdstringOptional
The token of the Persona environment that handled the request. Returned on every authenticated response, including most error responses.
Persona-Organization-IdstringOptional
The token of the Persona organization that handled the request. Returned on every authenticated response, including most error responses.

Response

Share Token redemption has been initiated and is processing.
dataobject
A Share Token resource. The specific attributes and relationships included may vary based on the requesting organization's context.
includedlist of anyOptional

Excluded from the response by default. Will be an empty array when the include query parameter in the request was explicitly set to empty.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
422
Unprocessable Entity Error
429
Too Many Requests Error